Bug 475624 - suspend stopped working in Fedora 9
suspend stopped working in Fedora 9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 15:30 EST by Matthew Garrett
Modified: 2013-01-10 02:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2008-12-09 15:30:36 EST
+++ This bug was initially created as a clone of Bug #473381 +++

Description of problem:
After update to one of the recent kernels I started to get this in the boot log:

Nov 28 09:38:05 lopeptoid kernel: ACPI: AC Adapter [AC] (on-line)
Nov 28 09:38:05 lopeptoid kernel: ACPI: Battery Slot [BAT0] (battery present)
Nov 28 09:38:05 lopeptoid kernel: input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
Nov 28 09:38:05 lopeptoid kernel: ACPI: Power Button (FF) [PWRF]
Nov 28 09:38:05 lopeptoid kernel: input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
Nov 28 09:38:05 lopeptoid kernel: ACPI: Lid Switch [LID]
Nov 28 09:38:05 lopeptoid kernel: input: Sleep Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/
input2
Nov 28 09:38:05 lopeptoid kernel: ACPI: Sleep Button (CM) [SLPB]
Nov 28 09:38:05 lopeptoid kernel: ------------[ cut here ]------------
Nov 28 09:38:05 lopeptoid kernel: WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x2a/0x36()
Nov 28 09:38:05 lopeptoid kernel: sysfs: duplicate filename '1' can not be created
Nov 28 09:38:05 lopeptoid kernel: Modules linked in:
Nov 28 09:38:05 lopeptoid kernel: Pid: 1, comm: swapper Not tainted 2.6.27.5-41_1.cubbi_tuxonice.fc9.i686 #1
Nov 28 09:38:05 lopeptoid kernel: [<c0429fce>] warn_slowpath+0x4b/0x6c
Nov 28 09:38:05 lopeptoid kernel: [<c050d710>] ? idr_get_empty_slot+0x12a/0x1d9
Nov 28 09:38:05 lopeptoid kernel: [<c050d88f>] ? ida_get_new_above+0xd0/0x171
Nov 28 09:38:05 lopeptoid kernel: [<c04d6c28>] ? sysfs_ilookup_test+0x0/0x11
Nov 28 09:38:05 lopeptoid kernel: [<c04abd32>] ? ifind+0x55/0x60
Nov 28 09:38:05 lopeptoid kernel: [<c04d6e1b>] ? sysfs_find_dirent+0x16/0x27
Nov 28 09:38:05 lopeptoid kernel: [<c04d6f6d>] sysfs_add_one+0x2a/0x36
Nov 28 09:38:05 lopeptoid kernel: [<c04d740a>] create_dir+0x43/0x68
Nov 28 09:38:05 lopeptoid kernel: [<c04d745c>] sysfs_create_dir+0x2d/0x41
Nov 28 09:38:05 lopeptoid kernel: [<c050e211>] kobject_add_internal+0xb2/0x153
Nov 28 09:38:05 lopeptoid kernel: [<c050e35d>] kobject_add_varg+0x35/0x41
Nov 28 09:38:05 lopeptoid kernel: [<c050e389>] kobject_init_and_add+0x20/0x22
Nov 28 09:38:05 lopeptoid kernel: [<c051c222>] pci_create_slot+0x93/0xe1
Nov 28 09:38:05 lopeptoid kernel: [<c0573dfc>] register_slot+0x14f/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c043e93c>] ? up+0x2b/0x2f
Nov 28 09:38:05 lopeptoid kernel: [<c05653f6>] acpi_ns_walk_namespace+0x9a/0x110
Nov 28 09:38:05 lopeptoid kernel: [<c0563cc9>] acpi_walk_namespace+0x46/0x66
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0573c7c>] walk_p2p_bridge+0xb7/0xe8
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c05653f6>] acpi_ns_walk_namespace+0x9a/0x110
Nov 28 09:38:05 lopeptoid kernel: [<c0563cc9>] acpi_walk_namespace+0x46/0x66
Nov 28 09:38:05 lopeptoid kernel: [<c0573bc5>] ? walk_p2p_bridge+0x0/0xe8
Nov 28 09:38:05 lopeptoid kernel: [<c0573b78>] acpi_pci_slot_add+0x10d/0x15a
Nov 28 09:38:05 lopeptoid kernel: [<c0573bc5>] ? walk_p2p_bridge+0x0/0xe8
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0572355>] acpi_pci_register_driver+0x39/0x50
Nov 28 09:38:05 lopeptoid kernel: [<c07b3707>] acpi_pci_slot_init+0x17/0x1b
Nov 28 09:38:05 lopeptoid kernel: [<c0401125>] _stext+0x3d/0x115
Nov 28 09:38:05 lopeptoid kernel: [<c07b36f0>] ? acpi_pci_slot_init+0x0/0x1b
Nov 28 09:38:05 lopeptoid kernel: [<c046ecfc>] ? register_irq_proc+0x92/0xae
Nov 28 09:38:05 lopeptoid kernel: [<c046ed55>] ? init_irq_proc+0x3d/0x4a
Nov 28 09:38:05 lopeptoid kernel: [<c0791362>] kernel_init+0x177/0x1c5
Nov 28 09:38:05 lopeptoid kernel: [<c07911eb>] ? kernel_init+0x0/0x1c5
Nov 28 09:38:05 lopeptoid kernel: [<c040494b>] kernel_thread_helper+0x7/0x10
Nov 28 09:38:05 lopeptoid kernel: =======================
Nov 28 09:38:05 lopeptoid kernel: ---[ end trace 1e365f26138fb49c ]---
Nov 28 09:38:05 lopeptoid kernel: kobject_add_internal failed for 1 with -EEXIST, don't try to register things with the same name in the same directory.
Nov 28 09:38:05 lopeptoid kernel: Pid: 1, comm: swapper Tainted: G        W 2.6.27.5-41_1.cubbi_tuxonice.fc9.i686 #1
Nov 28 09:38:05 lopeptoid kernel: [<c050e2a0>] kobject_add_internal+0x141/0x153
Nov 28 09:38:05 lopeptoid kernel: [<c050e35d>] kobject_add_varg+0x35/0x41
Nov 28 09:38:05 lopeptoid kernel: [<c050e389>] kobject_init_and_add+0x20/0x22
Nov 28 09:38:05 lopeptoid kernel: [<c051c222>] pci_create_slot+0x93/0xe1
Nov 28 09:38:05 lopeptoid kernel: [<c0573dfc>] register_slot+0x14f/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c043e93c>] ? up+0x2b/0x2f
Nov 28 09:38:05 lopeptoid kernel: [<c05653f6>] acpi_ns_walk_namespace+0x9a/0x110
Nov 28 09:38:05 lopeptoid kernel: [<c0563cc9>] acpi_walk_namespace+0x46/0x66
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0573c7c>] walk_p2p_bridge+0xb7/0xe8
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c05653f6>] acpi_ns_walk_namespace+0x9a/0x110
Nov 28 09:38:05 lopeptoid kernel: [<c0563cc9>] acpi_walk_namespace+0x46/0x66
Nov 28 09:38:05 lopeptoid kernel: [<c0573bc5>] ? walk_p2p_bridge+0x0/0xe8
Nov 28 09:38:05 lopeptoid kernel: [<c0573b78>] acpi_pci_slot_add+0x10d/0x15a
Nov 28 09:38:05 lopeptoid kernel: [<c0573bc5>] ? walk_p2p_bridge+0x0/0xe8
Nov 28 09:38:05 lopeptoid kernel: [<c0573cad>] ? register_slot+0x0/0x1e7
Nov 28 09:38:05 lopeptoid kernel: [<c0572355>] acpi_pci_register_driver+0x39/0x50
Nov 28 09:38:05 lopeptoid kernel: [<c07b3707>] acpi_pci_slot_init+0x17/0x1b
Nov 28 09:38:05 lopeptoid kernel: [<c0401125>] _stext+0x3d/0x115
Nov 28 09:38:05 lopeptoid kernel: [<c07b36f0>] ? acpi_pci_slot_init+0x0/0x1b
Nov 28 09:38:05 lopeptoid kernel: [<c046ecfc>] ? register_irq_proc+0x92/0xae
Nov 28 09:38:05 lopeptoid kernel: [<c046ed55>] ? init_irq_proc+0x3d/0x4a
Nov 28 09:38:05 lopeptoid kernel: [<c0791362>] kernel_init+0x177/0x1c5
Nov 28 09:38:05 lopeptoid kernel: [<c07911eb>] ? kernel_init+0x0/0x1c5
Nov 28 09:38:05 lopeptoid kernel: [<c040494b>] kernel_thread_helper+0x7/0x10
Nov 28 09:38:05 lopeptoid kernel: =======================
Nov 28 09:38:05 lopeptoid kernel: Unable to register kobject 1
Nov 28 09:38:05 lopeptoid kernel: pci_slot: pci_create_slot returned -17
Nov 28 09:38:05 lopeptoid kernel: ACPI: SSDT 3FEF1D36, 0240 (r1  PmRef  Cpu0Ist      100 INTL 20050513)
Nov 28 09:38:05 lopeptoid kernel: ACPI: SSDT 3FEF1FFB, 065A (r1  PmRef  Cpu0Cst      100 INTL 20050513)
Nov 28 09:38:05 lopeptoid kernel: ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
Nov 28 09:38:05 lopeptoid kernel: processor ACPI0007:00: registered as cooling_device0
Nov 28 09:38:05 lopeptoid kernel: ACPI: Processor [CPU0] (supports 8 throttling states)
Nov 28 09:38:05 lopeptoid kernel: ACPI: SSDT 3FEF1C6E, 00C8 (r1  PmRef  Cpu1Ist      100 INTL 20050513)
Nov 28 09:38:05 lopeptoid kernel: ACPI: SSDT 3FEF1F76, 0085 (r1  PmRef  Cpu1Cst      100 INTL 20050513)

Version-Release number of selected component (if applicable):
kernel-2.6.27.5-37.fc9.i686
kernel-2.6.27.5-41.fc9.i686
not sure, but may be even kernel-2.6.26.6-79.fc9.i686

How reproducible:
always

Steps to Reproduce:
1. reboot.
2. observe the kerneloops message
3. grep the logs
  
Actual results:
kerneloops, suspend does not work

Expected results:
normal operation with working suspend.

Additional info:
Seems that this bug is observed not only in Fedora 9, but also in other releases. See https://bugzilla.redhat.com/show_bug.cgi?id=465657
Comment 1 Matthew Garrett 2008-12-09 15:31:14 EST
With which update did suspend stop working? The kernel backtrace is unrelated.
Comment 2 Bug Zapper 2009-06-09 23:24:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:29:48 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.